Passer au contenu principal
PUT
https://{tenantDomain}/api/v2
/
network-acls
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.NetworkAcls.Set(
        context.TODO(),
        "id",
        &management.SetNetworkAclRequestContent{
            Description: "description",
            Active: true,
            Priority: 1.1,
            Rule: &management.NetworkAclRule{
                Action: &management.NetworkAclAction{},
                Scope: management.NetworkAclRuleScopeEnumManagement,
            },
        },
    )
}
{
  "id": "<string>",
  "description": "<string>",
  "active": true,
  "priority": 50.5,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the ACL to update.

Maximum string length: 36

Corps

description
string
requis
Maximum string length: 255
active
boolean
requis

Indicates whether or not this access control list is actively being used

rule
object
requis
priority
number
défaut:50

Indicates the order in which the ACL will be evaluated relative to other ACL rules.

Plage requise: 1 <= x <= 100

Réponse

Network ACL properties successfully updated

id
string
description
string
active
boolean
priority
number
Plage requise: 1 <= x <= 100
rule
object
created_at
string

The timestamp when the Network ACL Configuration was created

updated_at
string

The timestamp when the Network ACL Configuration was last updated